[arch-commits] Commit in idris/trunk (PKGBUILD)

Felix Yan felixonmars at archlinux.org
Tue Jan 9 16:25:19 UTC 2018


    Date: Tuesday, January 9, 2018 @ 16:25:18
  Author: felixonmars
Revision: 280706

upgpkg: idris 1.2.0-1

Modified:
  idris/trunk/PKGBUILD

----------+
 PKGBUILD |   39 ++++++++++++++++++++++-----------------
 1 file changed, 22 insertions(+), 17 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2018-01-09 15:36:02 UTC (rev 280705)
+++ PKGBUILD	2018-01-09 16:25:18 UTC (rev 280706)
@@ -3,23 +3,24 @@
 # Contributor: Arch Haskell Team <arch-haskell at haskell.org>
 
 pkgname=idris
-pkgver=1.1.1
-pkgrel=23
+pkgver=1.2.0
+pkgrel=1
 pkgdesc="Functional Programming Language with Dependent Types"
 url="http://www.idris-lang.org/"
 license=("custom:BSD3")
 arch=('x86_64')
-depends=('ghc-libs' "haskell-aeson" "haskell-annotated-wl-pprint" "haskell-ansi-terminal"
-         "haskell-ansi-wl-pprint" "haskell-async" "haskell-base64-bytestring" "haskell-blaze-html"
-         "haskell-blaze-markup" "haskell-cheapskate" "haskell-code-page" "haskell-fingertree"
-         "haskell-fsnotify" "haskell-ieee754" "haskell-mtl" "haskell-libffi" "haskell-network"
-         "haskell-optparse-applicative" "haskell-parsers" "haskell-regex-tdfa" "haskell-safe"
-         "haskell-split" "haskell-terminal-size" "haskell-text" "haskell-transformers-compat"
-         "haskell-trifecta" "haskell-uniplate" "haskell-unordered-containers" "haskell-utf8-string"
-         "haskell-vector" "haskell-vector-binary-instances" "haskell-zip-archive")
-makedepends=('ghc')
+depends=('ghc-libs' 'haskell-aeson' 'haskell-annotated-wl-pprint' 'haskell-ansi-terminal'
+         'haskell-ansi-wl-pprint' 'haskell-async' 'haskell-base64-bytestring' 'haskell-blaze-html'
+         'haskell-blaze-markup' 'haskell-cheapskate' 'haskell-code-page' 'haskell-fingertree'
+         'haskell-fsnotify' 'haskell-ieee754' 'haskell-libffi' 'haskell-megaparsec' 'haskell-mtl'
+         'haskell-network' 'haskell-optparse-applicative' 'haskell-regex-tdfa' 'haskell-safe'
+         'haskell-split' 'haskell-terminal-size' 'haskell-text' 'haskell-uniplate'
+         'haskell-unordered-containers' 'haskell-utf8-string' 'haskell-vector'
+         'haskell-vector-binary-instances' 'haskell-zip-archive')
+makedepends=('ghc' 'haskell-tagged' 'haskell-tasty' 'haskell-tasty-golden' 'haskell-tasty-rerun'
+             'nodejs')
 source=("$pkgname-$pkgver.tar.gz::https://github.com/idris-lang/Idris-dev/archive/v$pkgver.tar.gz")
-sha512sums=('5768705f0ae22053214e62e79720d6d70e4bda55a8ddff45302c7b4f6c484999102100ee8146a7ec3abd823e028a7a3fecb82d67be49a9401219ef26cf7aa946')
+sha512sums=('ad9a1266c689fb961eb05ab295ea23029dfb85c3de190905b482afa0bca8ba0e7a69d1093a5e7fcd648d6fb1e2daeceb2d3f70562032c7857d081e0442ccf0cf')
 
 prepare() {
     cd Idris-dev-$pkgver
@@ -26,15 +27,13 @@
 
     sed -i '1ioverride IDRIS := env LD_PRELOAD=$(shell ls ../../dist/build/libHSidris-*-ghc*.so) $(IDRIS)' \
         libs/*/Makefile
-
-    sed -i 's/, ansi-terminal < 0.7/, ansi-terminal/' idris.cabal
 }
 
 build() {
-    cd "$srcdir"/Idris-dev-$pkgver
+    cd Idris-dev-$pkgver
 
     runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
-        --prefix=/usr --docdir="/usr/share/doc/${pkgname}" --datasubdir="$pkgname" \
+        --prefix=/usr --docdir="/usr/share/doc/${pkgname}" --datasubdir="$pkgname" --enable-tests \
         --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
             -fFFI -fGMP -frelease -f-freestanding -f-CI -f-execonly
     LC_CTYPE=en_US.UTF-8 runhaskell Setup build
@@ -44,8 +43,14 @@
     sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
 }
 
+check() {
+    cd Idris-dev-$pkgver
+    # TODO: figure out the tests
+    PATH="$PWD/dist/build:$PATH" LD_LIBRARY_PATH="$PWD/dist/build" runhaskell Setup test || warning "Tests failed"
+}
+
 package() {
-    cd "$srcdir"/Idris-dev-$pkgver
+    cd Idris-dev-$pkgver
 
     install -D -m744 register.sh   "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
     install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"



More information about the arch-commits mailing list